.empty-div {
  min-height: 20px;
}
/*** products-networking.html ***/
.products-networking-div-body, .products-iot-div-body {
  max-width: 950px;
  margin: auto;
}
.products-networking-div-body .row {
  margin-right: -1px;
  margin-left: 10px;
}
.products-networking-div-body .nav-tabs {
  margin: 0px 5px;
}
.products-networking-div-body .nav-tabs>li>a {
  font-size: 12px;
  color: #df9958;
  border: 1px solid #df9958;
  border-radius: 0;
  margin: 0px 5px;
  white-space: nowrap;
}
.products-networking-div-body .nav-tabs>li.active>a,
.products-networking-div-body .nav-tabs>li.active>a:focus,
.products-networking-div-body .nav-tabs>li.active>a:hover {
  color: #ffffff;
  background-color: #df9958;
  border: 1px solid #df9958;
}

/*** poster.html ***/
.poster-div-body .row {
  margin-right: 5px;
  margin-left: 5px;
}
.poster-div-body .nav-tabs>li {
  margin: 0px 5px;
}
.poster-div-body .nav-tabs>li>a {
  color: #df9958;
  border: 1px solid #df9958;
  border-radius: 0;
  margin: 0px 5px;
}
.poster-div-body .nav-tabs>li.active>a,
.poster-div-body .nav-tabs>li.active>a:focus,
.poster-div-body .nav-tabs>li.active>a:hover {
  color: #ffffff;
  background-color: #df9958;
  border: 0px;
}

/*** products-iot.html ***/
.products-iot-div-body .row {
  margin-right: 5px;
  margin-left: 5px;
}
.products-iot-div-body .nav-tabs>li {
  margin: 0px 5px;
}
.products-iot-div-body .nav-tabs>li>a {
  color: #df9958;
  border: 1px solid #df9958;
  border-radius: 0;
  margin: 0px 5px;
}
.products-iot-div-body .nav-tabs>li.active>a,
.products-iot-div-body .nav-tabs>li.active>a:focus,
.products-iot-div-body .nav-tabs>li.active>a:hover {
  color: #ffffff;
  background-color: #df9958;
  border: 0px;
}

/*** product list ***/
.product-list div:nth-child(3n+2) {
  margin-left: 10px;
  margin-right: 10px;
}
[class^="products-"] .nav-tabs {
  margin-bottom: 10px;
}
[class^="products-"] .col-centered {
  color: #808081;
  text-align: center;
  height: 300px;
  width: 32.6%;
  float: left;
  min-height: 1px;
  margin-bottom: 10px;
  border: 1px solid #eee
;}
[class^="products-"] .product-photo img {
  margin: auto;
}
[class^="products-"] .product-content {
  min-height: 100px;
}
[class^="products-"] .product-content div:nth-child(1) {
  color: #df9958;
  font-size: 24px;
  font-weight: bold;
}
[class^="products-"] .product-content div:nth-child(3) {
  max-width: 240px;
  font-size: 16px;
  display: inline-block;
  text-align: center;
  margin-top: 1px;
  white-space: pre-line;
}
[class^="products-"] .product-content hr {
  margin: 5px 20px;
}
[class^="products-"] .btn {
  color: #BF2989;
  padding: 2px 10px;
}

/*** product detail ***/
.product-detail {
  max-width: 600px;
  margin: auto;
  margin-top: 20px;
}
.product-detail .goback {
  color: #df9958;
}
.product-detail .product-code {
  text-align: center;
  color: #df9958;
  font-size: 30px;
  font-weight: bold;
  white-space: pre-line;
}
.product-detail .product-name {
  text-align: center;
  color: #898989;
  font-size: 30px;
  font-weight: bold;
  white-space: pre-line;
}
.product-detail .product-description {
  text-align: center;
  color: #898989;
  font-size: 20px;
  white-space: pre-line;
}
.product-detail .product-photo {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
}
.product-detail .product-gallery {
  text-align: center;
  margin-top: 5px;
  margin-bottom: 5px;
}
.product-detail .product-gallery-ce {
  float: right;
  margin-top: -80px;
  padding-right: 8%;
}
.product-detail .product-gallery-label1 {
  text-align: center;
  color: #898989;
  font-size: 30px;
  font-weight: bold;
  margin: 5px;
}
.product-detail .product-gallery-label2 {
  text-align: center;
  color: #df9958;
  font-size: 26px;
  font-weight: bold;
  margin: 5px;
}
.product-detail .product-gallery-content {
  font-size: 18px;
}
.product-detail .product-photo-title {
  color: #df9958;
  font-size: 28px;
  font-weight: bold;
}
.product-detail .product-photo-content {
  text-align: center;
  font-size: 20px;
  margin-top: 10px;
  margin-bottom: 25px;
  white-space: pre-line;
}
.product-detail .product-name, .product-detail .product-photo-title {
  text-align: center;
}
.product-detail .product-name, .product-detail .product-features, .product-detail .product-specifications {
  color: #898989;
}
.product-detail img {
  display: initial;
}
.product-detail hr {
  margin-top: 2px;
  margin-bottom: 2px;
}
.product-detail ul {
  margin-bottom: 20px;
}
.product-detail .product-label {
  color: #df9958;
  line-height: 30px;
  font-size: 20px;
  font-weight: bold;
}
.product-features, .product-specifications {
  margin-left: -20px;
}
.product-specifications td {
  white-space: pre-line;
}
.product-detail .btn {
  position: absolute;
}
.product-detail table {
  width: 90%;
  margin: auto;
}

/*** media query ***/
@media (max-width: 1200px) {
  .product-list div:nth-child(3n+2) {
    margin-left: 5px;
    margin-right: 5px;
  }
  .products-networking-div-body .row {
    margin-right: -6px;
    margin-left: 10px;
  }
  .products-iot-div-body .row {
    margin-right: -1px;
    margin-left: 5px;
  }
  [class^="products-"] .col-centered {
    margin-bottom: 5px;
  }
  [class^="products-"] .product-content div:nth-child(1) {
    color: #df9958;
    font-size: 22px;
    font-weight: bold;
  }
  [class^="products-"] .product-content div:nth-child(3) {
    font-size: 16px;
  }
  [class^="products-"] .product-content {
    min-height: 80px;
  }
  [class^="products-"] .btn {
    margin-top: 10px;
  }
}

@media (max-width: 992px) {
  [class^="products-"] .col-centered {
    height: 280px;
  }
  [class^="products-"] .product-content div:nth-child(1) {
    font-size: 20px;
  }
  [class^="products-"] .product-content div:nth-child(3) {
    font-size: 14px;
  }
  [class^="products-"] .product-content {
    min-height: 80px;
  }
  [class^="products-"] .btn {
    margin-top: 5px;
  }
}

@media (max-width: 768px) {
  .products-networking-div-body .row {
    margin-right: -3px;
    margin-left: 10px;
  }
  .products-iot-div-body .row {
    margin-right: 6px;
    margin-left: 10px;
  }
  [class^="products-"] .product-content div:nth-child(1) {
    font-size: 16px;
  }
  [class^="products-"] .product-content div:nth-child(3) {
    font-size: 12px;
  }
}

@media (max-width: 512px) {
  [class^="products-"] .col-centered {
    height: 220px;
    width: 31.7%;
  }
  [class^="products-"] .btn {
    font-size: 8px;
    margin-top: 0px;
  }
  [class^="products-"] .product-content div:nth-child(1) {
    font-size: 12px;
  }
  [class^="products-"] .product-content div:nth-child(3) {
    font-size: 8px;
  }
  .product-detail .product-code, .product-detail .product-name {
    font-size: 26px;
  }
  .product-detail .product-description {
    font-size: 14px;
  }
}